API 엔드포인트
https://makeron.tech/api/v1/websites
요청 예시
curl --location --request GET 'https://makeron.tech/api/v1/websites' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
매개변수
search
search_by
domain. 기본값: domain.
sort_by
id, 도메인의 domain, 점수의 reports_avg_score, SEO분석 시작의 reports_count. 기본값: id.
sort
desc, 오름차순의 asc. 기본값: desc.
per_page
10, 25, 50, 100. 기본값: 10.
API 엔드포인트
https://makeron.tech/api/v1/websites/{id}
요청 예시
curl --location --request GET 'https://makeron.tech/api/v1/websites/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API 엔드포인트
https://makeron.tech/api/v1/websites/{id}
요청 예시
curl --location --request PUT 'https://makeron.tech/api/v1/websites/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
매개변수
privacy
0, 비공개의 1, 비밀번호의 2.
password
privacy 필드가 2로 설정되어 있을 때만 작동합니다.
API 엔드포인트
https://makeron.tech/api/v1/websites/{id}
요청 예시
curl --location --request DELETE 'https://makeron.tech/api/v1/websites/{id}' \ --header 'Authorization: Bearer {api_key}'